Subject: Re: bug#38992: 27.0.60; when enabled, fido-mode seems to break vc-git-grep

From: Dmitry Gutov <[email-masked]>
Date: Fri, 24 Jan 2020 17:31:20 +0300

On 24.01.2020 17:11, Stefan Monnier wrote:
> It's arguably breaking compatibility.  But you might be right that maybe
> it's a non issue.  A quick `grep` shows that outside Emacs itself, at
> least Helm might be affected.

I don't disagree. But I'm not sure how to keep the backward 
compatibility either.

Unless the old variable is kept as-is (both assigned and referred to) 
and the new one is looked up solely in one place 
(minibuffer-force-complete-and-exit). This way, we can't mark the old 
one as obsolete, though.

(BTW, at least one reference to minibuffer-completion-confirm in Emacs 
binds it to t already; not sure what's the intended effect: 
lisp/calc/calc-store.el:197).

> I think this is a typo for `minibuffer-completion-confirm`, right?

Ummm, yes.